let BASE_URL: string = ''

switch (import.meta.env.MODE) {
  case 'production':
    BASE_URL = import.meta.env.VITE_API_URL_PRODUCT
    break
  case 'test':
    BASE_URL = import.meta.env.VITE_API_URL_TEST
    break
  default:
    BASE_URL = import.meta.env.VITE_API_URL_TEST // 默认为开发环境
}
export default BASE_URL
