export default [
  {
    path: '/home',
    name: 'Home',
    component: () => import('@/views/Home/Home.vue'),
    meta: {
      needKeepAlive: true,
    },
  },
  {
    path: '/promotion',
    name: 'Promotion',
    redirect: '/promotion/ttAd',
    component: () => import('@/views/Promotion/promotion.vue'),
    meta: {
      needKeepAlive: true,
    },
    children: [
      {
        path: 'ttAd',
        name: 'TtAd',
        component: () => import('@/views/Promotion/adManage/ttad.vue'),
      },
      {
        path: 'tencentAd',
        name: 'TencentAd',
        component: () => import('@/views/Promotion/adManage/tencentAd.vue'),
      },
      {
        path: 'accTtAd',
        name: 'AccTtAd',
        component: () => import('@/views/Promotion/accManage/accTtAd.vue'),
      },
      {
        path: 'accTencentAd',
        name: 'AccTencentAd',
        component: () => import('@/views/Promotion/accManage/accTencentAd.vue'),
      },
    ],
  },
]
