import type { RouteLocationNormalized, NavigationGuardNext } from 'vue-router'

import { getLoginState } from '@/utils/localStorage/localStorage'
export default [
  {
    path: '/login',
    name: 'Login',
    component: () => import('@/views/Login/LoginView.vue'),
    beforeEnter: (
      _to: RouteLocationNormalized,
      _from: RouteLocationNormalized,
      next: NavigationGuardNext,
    ) => {
      if (getLoginState()) {
        next('/')
      } else {
        next()
      }
    },
  },
]
