export default [
  {
    path: '/material',
    name: 'Material',
    redirect: '/material/filmLibrary',
    component: () => import('@/views/Material/Material.vue'),
    meta: {
      needKeepAlive: true,
    },
    children: [
      {
        path: 'filmLibrary',
        name: 'FilmLibrary',
        component: () => import('@/views/Material/FilmLibrary.vue'),
      },
      {
        path: 'uploadAsset',
        name: 'UploadAsset',
        component: () => import('@/views/Material/UploadAsset.vue'),
      },
    ],
  },
]
