import { useOverviewSelect } from './useOverviewSelect'
import { useAnalysisSelect } from './useAnalysisSelect'

const { overviewSelectInfo } = useOverviewSelect()
const {
  projctAnalySeleInfo,
  productAnalySeleInfo,
  legendSelectInfo,
  leftToolsSelectInfo,
  rightToolsSelectInfo,
} = useAnalysisSelect()

export function useHomeSelect() {
  return {
    overviewSelectInfo,
    projctAnalySeleInfo,
    productAnalySeleInfo,
    legendSelectInfo,
    leftToolsSelectInfo,
    rightToolsSelectInfo,
  }
}
