// interface BaseMenu {
//   name: string
//   title: string
//   children?: AnyMenu[]
// }

// interface WithIconMeun extends BaseMenu {
//   iconDefault: string
//   iconActive?: string
// }

// interface WithRouterMenu extends BaseMenu {
//   path: string
// }

// type FullMenu = WithIconMeun & WithRouterMenu

// type AnyMenu = WithRouterMenu | WithIconMeun | BaseMenu | FullMenu

// export type { BaseMenu, WithIconMeun, WithRouterMenu, FullMenu }

interface BaseMenu {
  name: string
  title: string
  children?: BaseMenu[]
  iconDefault?: string
  iconActive?: string
  path?: string
}

export type { BaseMenu }
