import type { TableFields, BaseFieldItem } from './table'

interface SaveForm {
  schemeName: string
  isSaveCustom: boolean
  saveCustomName: string
}

interface DialogProps {
  indicatorFields: Array<BaseFieldItem<TableFields>>
  defaultActiveNav: string
  tableFieldsInfo: Array<TableFields>
  fixedFields: Array<string>
  SaveFormData?: SaveForm
}

export type { DialogProps, SaveForm }
