// 这个是pagination组件需要的参数
interface PaginationConfig {
  curPage: number // 当前页码
  curPageSize: number // 当前每页多少条数据
  pageSizeList: number[] //  每页多少条数据的选择列表
  total: number // 总共多少条数据
}

// 这个是需要传给表格的props参数
interface TablePaginationProps {
  total: number // 总共多少条数据
  pageSizeList: number[] // 每页多少条数据的选择列表
}

export type { TablePaginationProps, PaginationConfig }
